-- created 29.January 2011 by Thomas W. Stuetz


CREATE OR REPLACE TRIGGER sw_customer_pk_trg 
before
  INSERT ON SW_CUSTOMER 
  FOR EACH row 
BEGIN 
  IF inserting THEN 
    IF :NEW.CUST_ID IS NULL THEN
      SELECT SW_CUSTOMER_SEQ.nextval 
      INTO :NEW.CUST_ID 
      FROM dual;
    END IF;
  END IF;
END;
/
CREATE OR REPLACE TRIGGER sw_product_pk_trg 
before
  INSERT ON SW_PRODUCT
  FOR EACH row 
BEGIN 
  IF inserting THEN 
    IF :NEW.PROD_ID IS NULL THEN
      SELECT SW_PRODUCT_SEQ.nextval 
      INTO :NEW.PROD_ID 
      FROM dual;
    END IF;
  END IF;
END;
/
CREATE OR REPLACE TRIGGER sw_ordering_pk_trg 
before
  INSERT ON SW_ORDERING
  FOR EACH row 
BEGIN 
  IF inserting THEN 
    IF :NEW.ORD_ID IS NULL THEN
      SELECT SW_ORDERING_SEQ.nextval 
      INTO :NEW.ORD_ID 
      FROM dual;
    END IF;
  END IF;
END;
/
CREATE OR REPLACE TRIGGER sw_item_pk_trg 
before
  INSERT ON SW_ITEM 
  FOR EACH row 
BEGIN 
  IF inserting THEN 
    IF :NEW.ITM_ID IS NULL THEN
      SELECT SW_ITEM_SEQ.nextval 
      INTO :NEW.ITM_ID 
      FROM dual;
    END IF;
  END IF;
END;
/