package view;

import entity.Customer;
import java.util.List;
import javax.annotation.PostConstruct;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import session.CustomerFacade;

@ManagedBean
public class IndexController {
    
    @EJB private CustomerFacade customerFacade;
    private List<Customer> customers;

    public IndexController() { }
    
    @PostConstruct
    private void init() {
        customers = customerFacade.findAll();
    }

    public List<Customer> getCustomers() {
        return customers;
    }

    public void setCustomers(List<Customer> customers) {
        this.customers = customers;
    }
    
    
}
